VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo:
[legend]

## Public Member Functions

| PipelineShaderStageCreateInfo (PipelineShaderStageCreateFlags flags_=PipelineShaderStageCreateFlags(), ShaderStageFlagBits stage_=ShaderStageFlagBits::eVertex, ShaderModule module_=ShaderModule(), const char *pName_=nullptr, const SpecializationInfo *pSpecializationInfo_=nullptr)
| PipelineShaderStageCreateInfo (VkPipelineShaderStageCreateInfo const &rhs)
PipelineShaderStageCreateInfo & | operator= (VkPipelineShaderStageCreateInfo const &rhs)
PipelineShaderStageCreateInfo & | setPNext (const void *pNext_)
PipelineShaderStageCreateInfo & | setFlags (PipelineShaderStageCreateFlags flags_)
PipelineShaderStageCreateInfo & | setStage (ShaderStageFlagBits stage_)
PipelineShaderStageCreateInfo & | setModule (ShaderModule module_)
PipelineShaderStageCreateInfo & | setPName (const char *pName_)
PipelineShaderStageCreateInfo & | setPSpecializationInfo (const SpecializationInfo *pSpecializationInfo_)
| operator VkPipelineShaderStageCreateInfo const & () const
| operator VkPipelineShaderStageCreateInfo & ()
bool | operator== (PipelineShaderStageCreateInfo const &rhs) const
bool | operator!= (PipelineShaderStageCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineShaderStageCreateFlags | flags
ShaderStageFlagBits | stage
ShaderModule | module
const char * | pName
const SpecializationInfo * | pSpecializationInfo

## Private Attributes

StructureType | sType = StructureType::ePipelineShaderStageCreateInfo

## Detailed Description

Definition at line 23048 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineShaderStageCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::PipelineShaderStageCreateInfo | ( | PipelineShaderStageCreateFlags | flags_ = `PipelineShaderStageCreateFlags()`,
|  | ShaderStageFlagBits | stage_ = `ShaderStageFlagBits::eVertex`,
|  | ShaderModule | module_ = `ShaderModule()`,
|  | const char * | pName_ = `nullptr`,
|  | const SpecializationInfo * | pSpecializationInfo_ = `nullptr`
| ) |  |

inline

Definition at line 23050 of file vulkan.hpp.

: flags( flags_ )
, stage( stage_ )
, module( module_ )
, pName( pName_ )
, pSpecializationInfo( pSpecializationInfo_ )
{
}

## PipelineShaderStageCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::PipelineShaderStageCreateInfo | ( | VkPipelineShaderStageCreateInfo const & | rhs | ) |

inline

Definition at line 23063 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineShaderStageCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineShaderStageCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator VkPipelineShaderStageCreateInfo & | ( |  | ) |

inline

Definition at line 23114 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineShaderStageCreateInfo*>(this);
}

## operator VkPipelineShaderStageCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator VkPipelineShaderStageCreateInfo const & | ( |  | ) | const

inline

Definition at line 23109 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineShaderStageCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator!= | ( | PipelineShaderStageCreateInfo const & | rhs | ) | const

inline

Definition at line 23130 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator= | ( | VkPipelineShaderStageCreateInfo const & | rhs | ) |

inline

Definition at line 23068 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineShaderStageCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator== | ( | PipelineShaderStageCreateInfo const & | rhs | ) | const

inline

Definition at line 23119 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( stage == rhs.stage )
&& ( module == rhs.module )
&& ( pName == rhs.pName )
&& ( pSpecializationInfo == rhs.pSpecializationInfo );
}

References flags, module, pName, pNext, pSpecializationInfo, stage, and sType.

Referenced by operator!=().

## setFlags()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setFlags | ( | PipelineShaderStageCreateFlags | flags_ | ) |

inline

Definition at line 23079 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setModule()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setModule | ( | ShaderModule | module_ | ) |

inline

Definition at line 23091 of file vulkan.hpp.

{
module = module_;
return *this;
}

References module.

## setPName()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setPName | ( | const char * | pName_ | ) |

inline

Definition at line 23097 of file vulkan.hpp.

{
pName = pName_;
return *this;
}

References pName.

## setPNext()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 23073 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPSpecializationInfo()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setPSpecializationInfo | ( | const SpecializationInfo * | pSpecializationInfo_ | ) |

inline

Definition at line 23103 of file vulkan.hpp.

{
pSpecializationInfo = pSpecializationInfo_;
return *this;
}

References pSpecializationInfo.

## setStage()

PipelineShaderStageCreateInfo& VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::setStage | ( | ShaderStageFlagBits | stage_ | ) |

inline

Definition at line 23085 of file vulkan.hpp.

{
stage = stage_;
return *this;
}

References stage.

## Field Documentation

## flags

PipelineShaderStageCreateFlags VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::flags

Definition at line 23140 of file vulkan.hpp.

Referenced by operator==().

## module

ShaderModule VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::module

Definition at line 23142 of file vulkan.hpp.

Referenced by operator==(), and setModule().

## pName

const char* VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pName

Definition at line 23143 of file vulkan.hpp.

Referenced by operator==(), and setPName().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pNext = nullptr

Definition at line 23139 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pSpecializationInfo

const SpecializationInfo* VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pSpecializationInfo

Definition at line 23144 of file vulkan.hpp.

Referenced by operator==(), and setPSpecializationInfo().

## stage

ShaderStageFlagBits VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::stage

Definition at line 23141 of file vulkan.hpp.

Referenced by operator==(), and setStage().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::sType = StructureType::ePipelineShaderStageCreateInfo

private

Definition at line 23136 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::stage
ShaderStageFlagBits stage
Definition: vulkan.hpp:23141
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pName
const char * pName
Definition: vulkan.hpp:23143
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pSpecializationInfo
const SpecializationInfo * pSpecializationInfo
Definition: vulkan.hpp:23144
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::PipelineShaderStageCreateInfo
PipelineShaderStageCreateInfo(PipelineShaderStageCreateFlags flags_=PipelineShaderStageCreateFlags(), ShaderStageFlagBits stage_=ShaderStageFlagBits::eVertex, ShaderModule module_=ShaderModule(), const char *pName_=nullptr, const SpecializationInfo *pSpecializationInfo_=nullptr)
Definition: vulkan.hpp:23050
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:23136
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::operator==
bool operator==(PipelineShaderStageCreateInfo const &rhs) const
Definition: vulkan.hpp:23119
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::module
ShaderModule module
Definition: vulkan.hpp:23142
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:23139
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VkPipelineShaderStageCreateInfo
Definition: vulkan_core.h:2297
VULKAN_HPP_NAMESPACE::PipelineShaderStageCreateInfo::flags
PipelineShaderStageCreateFlags flags
Definition: vulkan.hpp:23140